import fire

import custom_paths
from tab_bench.data.paths import Paths
from tab_bench.eval.analysis import ResultsTables
from tab_bench.eval.evaluation import DefaultEvalModeSelector


def print_complete_results(coll_name: str, n_splits: int = 10):
    paths = Paths.from_env_variables()
    tables = ResultsTables(paths)
    table = tables.get(coll_name)
    test_table = table.get_test_results_table(DefaultEvalModeSelector())
    test_table = test_table.filter_n_splits(n_splits)
    alg_names = test_table.alg_names
    alg_names.sort(key=lambda x: x.lower())
    print(f'Algorithms with {n_splits} splits available on all datasets of {coll_name}:')
    for alg_name in alg_names:
        print(alg_name)


if __name__ == '__main__':
    fire.Fire(print_complete_results)
